---
layout: post
title: ESLint 0.9.2 released
tags:
  - release
  - bug fix
---
# ESLint 0.9.2 released

We just pushed ESLint 0.9.2, which is a patch update to fix bugs discovered in 0.9.1. This also includes a couple of small, backwards-compatible enhancements.

## Bug Fixes

* Fix: ! negates .eslintignore patterns (fixes [#1093](https://github.com/eslint/eslint/issues/1093)) (Brandon Mills)
* Fix: '.md' to '.html' with anchors (fixes [#1415](https://github.com/eslint/eslint/issues/1415)) (Nate-Wilkins)
* Fix: add severity flag for ignored file warning (fixes [#1401](https://github.com/eslint/eslint/issues/1401)) (Mathias Schreck)
* Fix: Allow line breaks in key-spacing rule (fixes [#1407](https://github.com/eslint/eslint/issues/1407)) (Brandon Mills)
* Fix: check switch statements in space-before-blocks (fixes [#1397](https://github.com/eslint/eslint/issues/1397)) (Mathias Schreck)
* Fix: disable colors during test run (fixes [#1395](https://github.com/eslint/eslint/issues/1395)) (Mathias Schreck)
* Fix: Keep sinon at ~1.10.3 (fixes [#1406](https://github.com/eslint/eslint/issues/1406)) (Brandon Mills)
* Fix: let fs.stat throw if a file does not exist (fixes [#1296](https://github.com/eslint/eslint/issues/1296)) (Mathias Schreck)
* Fix: Nested occurrences of no-else-return now show multiple reports (fixes [#1369](https://github.com/eslint/eslint/issues/1369)) (Jordan Hawker)

## Enhancements

* Update: Option type for mixed tabs and spaces (fixes [#1374](https://github.com/eslint/eslint/issues/1374)) (Max Nordlund)

## Features

* New: add `isPathIgnored` method to CLIEngine (fixes [#1392](https://github.com/eslint/eslint/issues/1392)) (Mathias Schreck)

## Documentation

* Docs: changing eslint to ESLint and add missing backtick (Mathias Schreck)
* Docs: Documents the functionality to load a custom formatter from a file (Adam Baldwin)
* Docs: fix rule name in example configuration (Mathias Schreck)

## Build

* Build: add coveralls integration (fixes [#1411](https://github.com/eslint/eslint/issues/1411)) (Mathias Schreck)
