---
layout: post
title: ESLint 0.24.1 released
tags:
  - release
---
# ESLint 0.24.1 released

We just pushed ESLint 0.24.1, which is a patch release upgrade. This release contains fixes for issues found in v0.24.0.

## Bug Fixes

* Fix: `no-redeclare` checks module scopes (fixes [#2903](https://github.com/eslint/eslint/issues/2903)) (Toru Nagashima)
* Fix: add destructuring support to comma-dangle rule (fixes [#2911](https://github.com/eslint/eslint/issues/2911)) (Mathias Schreck)
* Fix: Added missing export syntax support to the block-scoped-var rule. (fixes [#2887](https://github.com/eslint/eslint/issues/2887)) (Mathieu M-Gosselin)
* Fix: Include execScript in no-implied-eval rule (fixes [#2873](https://github.com/eslint/eslint/issues/2873)) (Frederik Braun)
* Fix: lines-around-comment was crashing in some cases due to a missing check (fixes [#2892](https://github.com/eslint/eslint/issues/2892)) (Mathieu M-Gosselin)
* Fix: max-len to report correct column number (fixes [#2926](https://github.com/eslint/eslint/issues/2926)) (Mathias Schreck)
* Fix: object-shorthand computed props (fixes [#2937](https://github.com/eslint/eslint/issues/2937)) (Jamund Ferguson)
* Fix: Remove invalid check inside `getJSDocComment` function (fixes [#2938](https://github.com/eslint/eslint/issues/2938)) (Gyandeep Singh)
* Fix: Revert 1-based column changes in tests for patch (refs [#2284](https://github.com/eslint/eslint/issues/2284)) (Nicholas C. Zakas)
* Fix: Shallow cloning issues in eslint config (fixes [#2961](https://github.com/eslint/eslint/issues/2961)) (Gyandeep Singh)
* Fix: Support class syntax for line-around-comment rule (fixes [#2894](https://github.com/eslint/eslint/issues/2894)) (Gyandeep Singh)
* Fix: Yoda should ignore comparisons where both sides are constants (fixes [#2867](https://github.com/eslint/eslint/issues/2867)) (cjihrig)

## Documentation

* Docs: Add space-in-brackets deprecation notice (Brandon Mills)
* Docs: Add spaced-line-comment deprecation notice (Brandon Mills)
* Docs: array-bracket-spacing examples used space-in-brackets (Brandon Mills)
* Docs: clarification in no-unused-vars (Jan Schär)
* Docs: Clarify when not to use space-before-blocks (Ian VanSchooten)
* Docs: Fix typo in the shareable configs doc (Siddharth Kannan)
* Docs: missing quotes in JSON (Jan Schär)
* Docs: remove mistaken "off by default" (Jan Schär)
* Docs: remove mistaken "off by default" (Jan Schär)
